# FoundationClasses
TKMath
math

# math_GaussSetIntegration Class Reference

-- This class implements the integration of a set of N
functions of M variables variables between the
parameter bounds Lower[a..b] and Upper[a..b].
Warning: - The case M>1 is not implemented.

`#include <math_GaussSetIntegration.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | math_GaussSetIntegration (math_FunctionSet &F, const math_Vector &Lower, const math_Vector &Upper, const math_IntegerVector &Order)
| The Gauss-Legendre integration with Order = points of integration for each unknow, is done on the function F between the bounds Lower and Upper. .
Standard_Boolean | IsDone () const
| returns True if all has been correctly done.
const math_Vector & | Value () const
| returns the value of the integral.
Standard_EXPORT void | Dump (Standard_OStream &o) const
| Prints information on the current state of the object. .

## Private Attributes

math_Vector | Val
Standard_Boolean | Done

## Constructor & Destructor Documentation

Standard_EXPORT math_GaussSetIntegration::math_GaussSetIntegration | ( | math_FunctionSet & | F,
|  | const math_Vector & | Lower,
|  | const math_Vector & | Upper,
|  | const math_IntegerVector & | Order
| ) |

## Member Function Documentation

Standard_EXPORT void math_GaussSetIntegration::Dump | ( | Standard_OStream & | o | ) | const

Standard_Boolean math_GaussSetIntegration::IsDone | ( |  | ) | const`[inline]`

void math_GaussSetIntegration::operator delete | ( | void * | anAddress | ) | `[inline]`

void* math_GaussSetIntegration::operator new | ( | size_t | size | ) | `[inline]`

void* math_GaussSetIntegration::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

const math_Vector & math_GaussSetIntegration::Value | ( |  | ) | const`[inline]`

## Field Documentation

Standard_Boolean math_GaussSetIntegration::Done `[private]`

math_Vector math_GaussSetIntegration::Val `[private]`

The documentation for this class was generated from the following files:

- math_GaussSetIntegration.hxx
- math_GaussSetIntegration.lxx